import React from 'react';
import typographyColorTokens from '@highlight-ui/tokens/dist/typographyColors.json';
export declare type TypographyColorToken = keyof typeof typographyColorTokens;
declare type TypographyVariant = 'heading-1' | 'heading-2' | 'heading-3' | 'heading-4' | 'subtitle-1' | 'subtitle-2' | 'subtitle-3' | 'subtitle-4' | 'body-1' | 'button-1' | 'caption-1' | 'caption-2' | 'overline-1';
export declare type TypographyProps = React.PropsWithChildren<{
    /** Allows providing a custom class name */
    className?: string;
    /** Specify an HTML tag for rendering the element */
    component?: string;
    /** Specify a color of the typography */
    color?: TypographyColorToken;
    variant: TypographyVariant;
} & React.HTMLAttributes<HTMLElement> & React.ButtonHTMLAttributes<HTMLElement>>;
declare const Typography: React.ForwardRefExoticComponent<{
    /** Allows providing a custom class name */
    className?: string | undefined;
    /** Specify an HTML tag for rendering the element */
    component?: string | undefined;
    /** Specify a color of the typography */
    color?: "text-default" | "text-subdued" | "text-hover" | "text-disabled" | "text-hint-text" | "text-on-primary" | "text-on-emphasis" | "text-on-secondary" | "text-on-secondary-disabled" | "text-on-action-critical" | "text-on-action-success" | "text-on-interactive" | "text-on-interactive-subdued" | "text-on-background-warning" | "text-on-background-critical" | "text-on-background-success" | undefined;
    variant: TypographyVariant;
} & React.HTMLAttributes<HTMLElement> & React.ButtonHTMLAttributes<HTMLElement> & {
    children?: React.ReactNode;
} & React.RefAttributes<HTMLElement>>;
export default Typography;
